complexType "ds:PGPDataType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | complex, 3 elements, 2 elem. wildcards
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 3 elements, 2 elem. wildcards
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (ds:PGPKeyID, ds:PGPKeyPacket?, {any}*) | (ds:PGPKeyPacket, {any}*)
</...>

Content Model Elements (3):

  ds:PGPKeyID, ds:PGPKeyPacket (in ds:PGPData), | ds:PGPKeyPacket (in ds:PGPData)

All Direct / Indirect Based Elements (1):

  ds:PGPData

Known Usage Locations

- As direct type of elements (1):
  ds:PGPData

XML Source (see within schema source)

<complexType name="PGPDataType"> <choice> <sequence> <element name="PGPKeyID" type="base64Binary"/> <element minOccurs="0" name="PGPKeyPacket" type="base64Binary"/> <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/> </sequence> <sequence> <element name="PGPKeyPacket" type="base64Binary"/> <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/> </sequence> </choice> </complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
ds:PGPKeyID

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element name="PGPKeyID" type="base64Binary"/>

ds:PGPKeyPacket

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element minOccurs="0" name="PGPKeyPacket" type="base64Binary"/>

ds:PGPKeyPacket

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element name="PGPKeyPacket" type="base64Binary"/>

{any element with non-schema namespace}

  XML Source (see within schema source)

  <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>

{any element with non-schema namespace}

  XML Source (see within schema source)

  <any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.